org.apache.ignite.ml.inference

## Class IgniteModelStorageUtil

- java.lang.Object
- - org.apache.ignite.ml.inference.IgniteModelStorageUtil

-     public class IgniteModelStorageUtil
      extends Object

  Utils class that helps to operate with model storage and Ignite models.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteModelStorageUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Model<Vector,Future<Double>>` | `getAsyncModel(Ignite ignite, String name, AsyncModelBuilder mdlBldr)` Retrieves Ignite model by name using asynchronous model builder.
    `static <I extends Serializable,O extends Serializable> Model<I,O>` | `getModel(Ignite ignite, String name)` Retrieves Ignite model by name using `SingleModelBuilder`.
    `static <I extends Serializable,O extends Serializable> Model<I,O>` | `getSyncModel(Ignite ignite, String name, SyncModelBuilder mdlBldr)` Retrieves Ignite model by name using synchronous model builder.
    `static void` | `removeModel(Ignite ignite, String name)` Removes model with specified name.
    `static <I extends Serializable,O extends Serializable> void` | `saveModel(Ignite ignite, IgniteModel<I,O> mdl, String name)` Saved specified model with specified name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteModelStorageUtil

          public IgniteModelStorageUtil()

  - ### Method Detail

    - #### saveModel

          public static <I extends Serializable,O extends Serializable> void saveModel(Ignite ignite,
                                                                                       IgniteModel<I,O> mdl,
                                                                                       String name)

      Saved specified model with specified name.
      Type Parameters:
        `I` - Type of input.
        `O` - Type of output.
      Parameters:
        `ignite` - Ignite instance.
        `mdl` - Model to be saved.
        `name` - Model name to be used.

    - #### removeModel

          public static void removeModel(Ignite ignite,
                                         String name)

      Removes model with specified name.
      Parameters:
        `ignite` - Ignite instance.
        `name` - Mode name to be removed.

    - #### getModel

          public static <I extends Serializable,O extends Serializable> Model<I,O> getModel(Ignite ignite,
                                                                                            String name)

      Retrieves Ignite model by name using `SingleModelBuilder`.
      Type Parameters:
        `I` - Type of input.
        `O` - Type of output.
      Parameters:
        `ignite` - Ignite instance.
        `name` - Model name.
      Returns:
        Synchronous model built using `SingleModelBuilder`.

    - #### getSyncModel

          public static <I extends Serializable,O extends Serializable> Model<I,O> getSyncModel(Ignite ignite,
                                                                                                String name,
                                                                                                SyncModelBuilder mdlBldr)

      Retrieves Ignite model by name using synchronous model builder.
      Type Parameters:
        `I` - Type of input.
        `O` - Type of output.
      Parameters:
        `ignite` - Ignite instance.
        `name` - Model name.
        `mdlBldr` - Synchronous model builder.
      Returns:
        Synchronous model built using specified model builder.

    - #### getAsyncModel

          public static Model<Vector,Future<Double>> getAsyncModel(Ignite ignite,
                                                                   String name,
                                                                   AsyncModelBuilder mdlBldr)

      Retrieves Ignite model by name using asynchronous model builder.
      Parameters:
        `ignite` - Ignite instance.
        `name` - Model name.
        `mdlBldr` - Asynchronous model builder.
      Returns:
        Asynchronous model built using specified model builder.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020